<?php
$_SERVER['HTTP_X_REQUESTED_WITH'] = 'XMLHttpRequest';

define('PATH', $_SERVER['DOCUMENT_ROOT']);
include(PATH.'/core/ajax/ajax_core.php');

function getNotifiers(){
    $items = $match = array();

    $dir = PATH .'/modules/mod_yandex_table/notifiers';
    $pdir = opendir($dir);

    while ($nextfile = readdir($pdir)){
        if (
            ($nextfile != '.') &&
            ($nextfile != '..') &&
            !is_dir($dir .'/'. $nextfile) &&
            (substr($nextfile, 0, 3) == 'yt_') &&
            preg_match('#([a-z_]+)\.class\.php#is', $nextfile, $match)
        ){
            include(PATH .'/modules/mod_yandex_table/notifiers/'. $nextfile);
            $items[] = $match[1];
        }
    }

    return $items;
}

$mod_id = cmsCore::request('mod_id', 'int', 0);
$cfg = $inCore->loadModuleConfig($mod_id);

if (!empty($cfg)){
    
    $notifiers = getNotifiers();
    $yt_notifiers = array();
    
    foreach ($notifiers as $notice){
        if (!empty($cfg['notifiers'][$notice .'_onoff']) && $cfg['notifiers'][$notice .'_onoff'] === 1){
            $yt_notifiers[] = $notice;
        }
    }
    
    $answer = '{'. "\n";
    
    if (!empty($yt_notifiers)){
        $items = array();
        foreach ($yt_notifiers as $notice){
            $items[] = '    "'. $notice::$name .'": '. $notice::getItemsCount();
        }
        $answer .= implode(",\n", $items). "\n";
    }
    
    $answer .= '}';
    
    echo $answer;
}

cmsCore::halt();
?>